unit Auto2;

interface

uses
  OleAuto;

type
  TGroovy = class(TAutoObject)
  private
    { Private declarations }
    procedure SetValue(Val: Integer);
    function GetValue: Integer;
  automated
    { Automated declarations }
    property Value: Integer read GetValue write SetValue;
  end;

implementation

uses SysUtils, Auto1;

procedure TGroovy.SetValue(Val: Integer);
begin
  Form1.Edit1.Text := IntToStr(Val);
end;

function TGroovy.GetValue: Integer;
begin
  try
    Result := StrToInt(Form1.Edit1.Text);
  except
    Result := -1;
  end;
end;

procedure RegisterTGroovy;
const
  AutoClassInfo: TAutoClassInfo = (
    AutoClass: TGroovy;
    ProgID: 'Auto.Groovy';
    ClassID: '{136670A0-5CCF-11CF-882B-444553540000}';
    Description: 'Groovy Love Thang';
    Instancing: acSingleInstance);
begin
  Automation.RegisterClass(AutoClassInfo);
end;

initialization
  RegisterTGroovy;
end.
