unit DateU;

interface

uses
  WinTypes, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Spin, StdCtrls, Mask;

type
  TForm1 = class(TForm)
    DateEdt: TMaskEdit;
    DateLbl: TLabel;
    DateSpin: TSpinButton;
    procedure FormCreate(Sender: TObject);
    procedure DateEdtChange(Sender: TObject);
    procedure DateSpinUpClick(Sender: TObject);
    procedure DateSpinDownClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  end;

var
  Form1: TForm1;

{$ifndef Win32}
const
  DateDelta = 0;
{$endif}

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  DateEdt.Text := DateToStr(Date);
end;

procedure TForm1.DateEdtChange(Sender: TObject);
begin
  DateLbl.Caption :=
    FloatToStr(StrToDate(DateEdt.Text) + DateDelta);
end;

procedure TForm1.DateSpinUpClick(Sender: TObject);
begin
  DateEdt.Text := DateToStr(StrToDate(DateEdt.Text) + 1);
end;

procedure TForm1.DateSpinDownClick(Sender: TObject);
begin
  DateEdt.Text := DateToStr(StrToDate(DateEdt.Text) - 1);
end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if ActiveControl = DateEdt then
    case Key of
      vk_Up:
      begin
        DateSpinUpClick(DateSpin);
        Key := 0;
      end;
      vk_Down:
      begin
        DateSpinDownClick(DateSpin);
        Key := 0;
      end;
    end;
end;

end.
